/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casematerialsnorm.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 材料消耗量指标Entity
 * @author liuw
 * @version 2018-02-07
 */
public class CaseMaterialsNorm extends DataEntity<CaseMaterialsNorm> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 名称
	private String type;		// 型号
	private String unitContent;		// 单位消耗量
	private String unit;		// 单位
	private String allPrice;		// 合价
	private String proportion;		// 比重
	private String caseId;		// 案例id
	
	public CaseMaterialsNorm() {
		super();
	}

	public CaseMaterialsNorm(String id){
		super(id);
	}

	@ExcelField(title="名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="型号", align=2, sort=8)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="单位消耗量", align=2, sort=9)
	public String getUnitContent() {
		return unitContent;
	}

	public void setUnitContent(String unitContent) {
		this.unitContent = unitContent;
	}
	
	@ExcelField(title="单位", align=2, sort=10)
	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}
	
	@ExcelField(title="合价", align=2, sort=11)
	public String getAllPrice() {
		return allPrice;
	}

	public void setAllPrice(String allPrice) {
		this.allPrice = allPrice;
	}
	
	@ExcelField(title="比重", align=2, sort=12)
	public String getProportion() {
		return proportion;
	}

	public void setProportion(String proportion) {
		this.proportion = proportion;
	}
	
	@ExcelField(title="案例id", align=2, sort=13)
	public String getCaseId() {
		return caseId;
	}

	public void setCaseId(String caseId) {
		this.caseId = caseId;
	}
	
}